package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhPushDataStat;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhPushDataStatExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformGzhPushDataStatMapper {
    long countByExample(ContentPlatformGzhPushDataStatExample example);

    int deleteByExample(ContentPlatformGzhPushDataStatExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformGzhPushDataStat record);

    int insertSelective(ContentPlatformGzhPushDataStat record);

    List<ContentPlatformGzhPushDataStat> selectByExample(ContentPlatformGzhPushDataStatExample example);

    ContentPlatformGzhPushDataStat selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformGzhPushDataStat record, @Param("example") ContentPlatformGzhPushDataStatExample example);

    int updateByExample(@Param("record") ContentPlatformGzhPushDataStat record, @Param("example") ContentPlatformGzhPushDataStatExample example);

    int updateByPrimaryKeySelective(ContentPlatformGzhPushDataStat record);

    int updateByPrimaryKey(ContentPlatformGzhPushDataStat record);
}